Subject: Re: bug#21827: Large file support

From: Mike Frysinger <[email-masked]>
Date: Wed, 4 Nov 2015 19:25:28 -0500

On 04 Nov 2015 14:07, Michael Brunnbauer wrote:
> I am quite surprised that my grep (suddenly?) has problems with large files:
> 
>  fiano:~$ ls -l todelete.txt 
>  -rw-r--r-- 1 brunni users 2981338204 Nov  4 13:40 todelete.txt
>  fiano:~$ grep test todelete.txt
>  grep: todelete.txt: Value too large for defined data type
> 
> I work with files > 2GB regularly and used to have these problems years ago.
> Upgrading from grep-2.14 to grep-2.22 did not help. The configure output
> containing "large" is:
> 
>  checking for special C compiler options needed for large files... no
>  checking for _FILE_OFFSET_BITS value needed for large files... 64
> 
> I tried compiling without PCRE but this did not help either. My basic setup
> is glibc-2.22, gcc 4.7.4 and Linux 3.4.109.

i checked over here and it looks fine to me.  can you attach your config.log ?
also, try running it through strace and see what it looks like.  something like:
$ strace -e '!read' grep ...

you should see calls like:
openat(AT_FDCWD, "...", O_RDONLY|O_NOCTTY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=8539650048, ...}) = 0
-mike